package textures.player.items.crudeaxe;

import java.awt.image.BufferedImage;

import _texture.loader.Textures;
import utils.Utils;

public class CrudeAxeChopTextures {

	
	public static void getTextures(BufferedImage image){
		/*** FACING SOUTH ***/
		Textures.crudeAxeChopSheet[0] = Utils.grabSprite(image, 1, 1, 40, 72);
		Textures.crudeAxeChopSheet[1] = Utils.grabSprite(image, 2, 1, 40, 72);
		Textures.crudeAxeChopSheet[2] = Utils.grabSprite(image, 3, 1, 40, 72);
		Textures.crudeAxeChopSheet[3] = Utils.grabSprite(image, 4, 1, 40, 72);
		/*** FACING NORTH ***/
		Textures.crudeAxeChopSheet[4] = Utils.grabSprite(image, 1, 2, 40, 72);
		Textures.crudeAxeChopSheet[5] = Utils.grabSprite(image, 2, 2, 40, 72);
		Textures.crudeAxeChopSheet[6] = Utils.grabSprite(image, 3, 2, 40, 72);
		Textures.crudeAxeChopSheet[7] = Utils.grabSprite(image, 4, 2, 40, 72);
		/*** FACING WEST ***/
		Textures.crudeAxeChopSheet[8] = Utils.grabSprite(image, 1, 3, 40, 72);
		Textures.crudeAxeChopSheet[9] = Utils.grabSprite(image, 2, 3, 40, 72);
		Textures.crudeAxeChopSheet[10] = Utils.grabSprite(image, 3, 3, 40, 72);
		Textures.crudeAxeChopSheet[11] = Utils.grabSprite(image, 4, 3, 40, 72);
		/*** FACING EAST ***/
		Textures.crudeAxeChopSheet[12] = Utils.grabSprite(image, 1, 4, 40, 72);
		Textures.crudeAxeChopSheet[13] = Utils.grabSprite(image, 2, 4, 40, 72);
		Textures.crudeAxeChopSheet[14] = Utils.grabSprite(image, 3, 4, 40, 72);
		Textures.crudeAxeChopSheet[15] = Utils.grabSprite(image, 4, 4, 40, 72);
		/*** FACING NW ***/
		Textures.crudeAxeChopSheet[16] = Utils.grabSprite(image, 1, 5, 40, 72);
		Textures.crudeAxeChopSheet[17] = Utils.grabSprite(image, 2, 5, 40, 72);
		Textures.crudeAxeChopSheet[18] = Utils.grabSprite(image, 3, 5, 40, 72);
		Textures.crudeAxeChopSheet[19] = Utils.grabSprite(image, 4, 5, 40, 72);
		/*** FACING NE ***/
		Textures.crudeAxeChopSheet[20] = Utils.grabSprite(image, 1, 6, 40, 72);
		Textures.crudeAxeChopSheet[21] = Utils.grabSprite(image, 2, 6, 40, 72);
		Textures.crudeAxeChopSheet[22] = Utils.grabSprite(image, 3, 6, 40, 72);
		Textures.crudeAxeChopSheet[23] = Utils.grabSprite(image, 4, 6, 40, 72);
		/*** FACING SW ***/
		Textures.crudeAxeChopSheet[24] = Utils.grabSprite(image, 1, 7, 40, 72);
		Textures.crudeAxeChopSheet[25] = Utils.grabSprite(image, 2, 7, 40, 72);
		Textures.crudeAxeChopSheet[26] = Utils.grabSprite(image, 3, 7, 40, 72);
		Textures.crudeAxeChopSheet[27] = Utils.grabSprite(image, 4, 7, 40, 72);
		/*** FACING SE ***/
		Textures.crudeAxeChopSheet[28] = Utils.grabSprite(image, 1, 8, 40, 72);
		Textures.crudeAxeChopSheet[29] = Utils.grabSprite(image, 2, 8, 40, 72);
		Textures.crudeAxeChopSheet[30] = Utils.grabSprite(image, 3, 8, 40, 72);
		Textures.crudeAxeChopSheet[31] = Utils.grabSprite(image, 4, 8, 40, 72);
	}
}
